* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial;
    text-align: center;
}

body {
    height: 100%;
    width: 100%;
}

nav {
    height: auto;
    width: 100%;
    padding: 1rem;
    text-align: center;
}

.image-upload-box {
    height: auto;
    width: 100%;
    padding: 1rem;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    flex-direction: column;
}

.image-input-box {
    height: 20rem;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1rem;
}

#image-input-div {
    border: 1px dashed black;
    height: 100%;
    width: 80%;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

#image-input-div:hover {
    background-color: rgba(130, 130, 130, 0.300);
}

#image-display-box {
    border: 1px dashed black;
    height: 100%;
    width: 20%;
}

#image-display-box #image-display {
    height: 100%;
    width: auto;
    max-width: 100%;
}

#image-description {
    border: 1px dashed black;
    height: 10rem;
    width: 100%;
    padding: 0.5rem;
    text-align: start;
    outline: none;
    resize: vertical;
}

#image-save-button {
    height: auto;
    width: auto;
    margin: 1rem;
    padding: 0.5rem 1rem;
    cursor: pointer;
}

#images-list {
    border: 1px dashed black;
    height: auto;
    width: 100%;
    margin-top: 1rem;
    padding: 1rem;
    text-align: start;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 0.5rem;
}

.image-box {
    height: 10rem;
    width: 100%;
    padding: 0.5rem;
    display: flex;
    align-items: center;
    justify-content: start;
    gap: 0.5rem;
}

.image-box-image {
    border: 1px dashed black;
    height: 100%;
    width: 20%;
}

.image-box-image img {
    height: 100%;
    width: auto;
    max-width: 100%;
}

.image-box-description {
    border: 1px dashed black;
    height: 100%;
    width: 70%;
    padding: 0.5rem;
    overflow: auto;
}

.image-box-description p {
    text-align: start;
    white-space: pre-wrap;
}

.image-button-box {
    border: 1px dashed black;
    height: 100%;
    width: 10%;
    padding: 0.5rem;
    display: flex;
    align-items: center;
    justify-content: start;
    flex-direction: column;
    gap: 0.5rem;
}

.image-button-box button {
    height: auto;
    width: 100%;
    padding: 0.5rem;
    cursor: pointer;
}

.image-edit-input {
    height: 100%;
    width: 100%;
    text-align: start;
    padding: 0.5rem;
    outline: none;
    resize: vertical;
}
